-- 新建表 look
CREATE TABLE `b_user_lesson_look`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `user_id` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '用户id',
  `lesson_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '课程、培训id',
  `type` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '类型',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '用户课程是否查看表' ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;

-- 添加 消息中字段(注意各企业)
INSERT INTO `b_message` VALUES (uuid(), '', '2020-06-17 11:07:11', '1049837872616415234', '2020-06-19 09:24:39', '0', '1', '发布新资源后，显示NEW标识的时间', 'NEWNOTICE', '20', '1', '7', 7);
INSERT INTO `b_message` VALUES (uuid(), '', '2020-06-17 11:07:11', '1049837872616415234', '2020-06-19 09:24:39', '0', '1', '是否资源可共享至平台', 'SHARE', '1', '', '7', 8);


-- 添加菜单表中 新消息设置
INSERT INTO `s_menu` VALUES ('0055', '0005', NULL, '新消息设置', 'F-NEW-MANAGE', 'newInfoManage', NULL, NULL, 5, '1', '1', 'F-NEW-MANAGE', NULL, '2019-11-25 10:45:07', NULL, '2019-11-25 10:45:15', NULL, '0', '1', '20', 2);
INSERT INTO `s_menu` VALUES ('0056', '0005', NULL, '共享设置', 'F-SYCN-MANAGE', 'shareManage', NULL, NULL, 6, '1', '1', 'F-SYCN-MANAGE', NULL, '2019-11-25 10:45:07', NULL, '2019-11-25 10:45:15', NULL, '0', '1', '20', 2);

-- 为 主管理员添加 新消息管理菜单 权限
update tm_admin_role set r_privilege ='M-LESSON-MANAGE,F-ADD-LESSON,F-UPDATE-LESSON,F-CLOSE-LESSON,F-DELETE-LESSON,M-TRAIN-MANAGE,F-ADD-TRAIN,F-UPDATE-TRAIN,F-CLOSE-TRAIN,F-DELETE-TRAIN,M-PRESERVE,F-DOWNLOAD-PRESERVE,F-REPRINT-PRESERVE,F-DELETE-PRESERVE,M-UPLOAD,F-DOWNLOAD-UPLOAD,F-REPRINT-UPLOAD,F-DELETE-UPLOAD,M-CTS-B,F-ONLINE,P-ONLINE-ADD,P-ONLINE-UPDATE,P-ONLINE-APPOINT,P-ONLINE-TRACK,P-ONLINE-RECOMMEND,P-ONLINE-CLOSE,P-ONLINE-DEL,F-UNDERLINE,P-UNDER-ADD,P-UNDER-UPDATE,P-UNDER-APPOINT,P-UNDER-TRACK,P-UNDER-RECOMMEND,P-UNDER-CLOSE,P-UNDER-DEL,F-CATEGORY,P-CATEGORY-ADD,P-CATEGORY-UPDATE,P-CATEGORY-DEL,F-LABEL,P-LABEL-ADD,P-LABEL-UPDATE,P-LABEL-DEL,F-INTEGRAL-M,P-NULL-2,M-QDB,F-QDB,P-QDB-ADD,P-QDB-UPDATE,P-QDB-DELETE,P-QDB-ANALYSIS,F-QES,P-QES-ADD,P-QES-UPDATE,P-QES-DELETE,P-QES-IMPORT,M-PAPER,F-PAPER-CATE,P-PAPER-CATE-ADD,P-PAPER-CATE-UPDATE,P-PAPER-CATE-DELETE,F-PAPER,P-PAPER-ADD,P-PAPER-UPDATE,P-PAPER-DELETE,P-PAPER-CONFIG,P-PAPER-HISTORY-VIEW,P-PAPER-HISTORY-CHECK,M-ANALYSIS,P-ANA-PAPER,P-ANA-EXAM,P-ANA-SCORE,M-SYSTEM,F-MAIN-MANAGE,P-COLUMN,P-BANNER,P-OUTER-LINK,F-USER-MANAGE,P-STOP-START,P-ROLE-EDIT,P-SYNCHRO,F-ROLE-MANAGE,P-ROLE-MANAGE,P-OPERATION,P-DATALIMIT,P-PAPER-CLONE,P-ROLE-DEL,F-NOTICE-MANAGE,F-NEW-MANAGE，F-SYNCH-MANAGE' where r_type = 0;



-- lesson 新增字段 is_push 、push_lable
ALTER TABLE b_lesson ADD is_push VARCHAR(2)  COMMENT '平台推荐标志 (1:推荐 其他：非推荐)' ;
ALTER TABLE b_lesson ADD push_lable VARCHAR(255)  COMMENT '平台推荐自带标签' ;
ALTER TABLE b_lesson ADD from_corp VARCHAR(64)  COMMENT '数据来源企业' ;

-- banner 、b_external_link b_lable is_push 、supper_id
ALTER TABLE b_banner ADD is_push VARCHAR(2)  COMMENT '平台推荐标志 (1:推荐 其他：非推荐)' ;
ALTER TABLE b_banner ADD supper_id VARCHAR(64)  COMMENT '推荐源主键id' ;
ALTER TABLE b_external_link ADD is_push VARCHAR(2)  COMMENT '平台推荐标志 (1:推荐 其他：非推荐)' ;
ALTER TABLE b_external_link ADD supper_id VARCHAR(64)  COMMENT '推荐源主键id' ;
ALTER TABLE b_lable ADD is_push VARCHAR(2)  COMMENT '平台推荐标志 (1:推荐 其他：非推荐)' ;
ALTER TABLE b_lable ADD supper_id VARCHAR(64)  COMMENT '推荐源主键id' ;


-- b_lesson_lable 添加corp_id
ALTER TABLE b_lesson_lable ADD corp_id VARCHAR(64)  COMMENT '平台推荐至企业课程 对应企业' ;
