/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.5.201(mt(91i))
 Source Server Type    : MySQL
 Source Server Version : 50719
 Source Host           : 192.168.5.201:20001
 Source Schema         : edu_db

 Target Server Type    : MySQL
 Target Server Version : 50719
 File Encoding         : 65001

 Date: 04/12/2019 09:56:37
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for b_appoint
-- ----------------------------
DROP TABLE IF EXISTS `b_appoint`;
CREATE TABLE `b_appoint`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '删除标记，（0：正常；1：删除；2：审核）',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `lesson_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '课程id',
  `appointer_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '指派人id',
  `designated_id` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '被指派人id（逗号隔开）',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '指派表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_banner
-- ----------------------------
DROP TABLE IF EXISTS `b_banner`;
CREATE TABLE `b_banner`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '创建者',
  `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '更新者',
  `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '0' COMMENT '删除标记，（0：正常；1：删除；2：审核）',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '1' COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '备注',
  `title` varchar(256) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '标题',
  `image_url` varchar(256) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '图片地址',
  `is_external_link` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '是否为外部链接（0：否，1：是）',
  `external_url` varchar(256) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '' COMMENT '外部URL',
  `line_type` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '' COMMENT '类型（0：线上，1：线下）',
  `course_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '' COMMENT '课程ID',
  `banner_sort` int(11) NOT NULL COMMENT '排序',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '企业id',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = 'banner表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_chapter
-- ----------------------------
DROP TABLE IF EXISTS `b_chapter`;
CREATE TABLE `b_chapter`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '创建者',
  `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '更新者',
  `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '0' COMMENT '删除标记，（0：正常；1：删除；2：审核）',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '1' COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '备注',
  `chapter_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '章节名称',
  `chapter_level` tinyint(1) NOT NULL DEFAULT 1 COMMENT '等级，1：章 2：节',
  `pid` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '-1' COMMENT '上一级',
  `chapter_url` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '课程url',
  `md_file` text CHARACTER SET utf8 COLLATE utf8_bin NULL COMMENT '任务书',
  `is_test` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '0视频 1音频  2PPT 3PDF 4word（单选）',
  `lesson_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '课程ID',
  `class_hour` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '学时',
  `state` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '状态 0 关闭，1开启',
  `sort` int(8) NOT NULL COMMENT '章节排序',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '企业id',
  `automatic` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '1' COMMENT '是否智评  0否  1是',
  `experiment_type` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '实验类型  1java单文件  2java工程   3html单文件  4html工程',
  `course_time` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '课程时长',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '章节表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_collect
-- ----------------------------
DROP TABLE IF EXISTS `b_collect`;
CREATE TABLE `b_collect`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `person_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '学生id',
  `lesson_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '课程id',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '收藏表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_course
-- ----------------------------
DROP TABLE IF EXISTS `b_course`;
CREATE TABLE `b_course`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '创建者',
  `create_date` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '更新者',
  `update_date` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '0' COMMENT '删除标记，（0：正常；1：删除；2：审核）',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '1' COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '备注',
  `c_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '课程分类名',
  `pid` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '父类id',
  `sort` int(8) NULL DEFAULT NULL COMMENT '分类字段',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '企业id',
  `course_level` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '课程分类等级 1一级 2二级 3三级',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '分类表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_default_pic
-- ----------------------------
DROP TABLE IF EXISTS `b_default_pic`;
CREATE TABLE `b_default_pic`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `pic` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '' COMMENT '默认图片',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '创建者',
  `create_date` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '更新者',
  `update_date` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '0' COMMENT '删除标记，（0：正常；1：删除；2：审核）',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '1' COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '备注',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '企业id',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '封面默认图片表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_dictionary
-- ----------------------------
DROP TABLE IF EXISTS `b_dictionary`;
CREATE TABLE `b_dictionary`  (
  `BUSINESS_ID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '编号',
  `PID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '父节点id',
  `TYPE` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类型',
  `NAME` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名字',
  `VALUE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '值',
  `CREATE_BY` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `CREATE_DATE` datetime(0) NULL DEFAULT NULL COMMENT '创建日期',
  `UPDATE_BY` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `UPDATE_DATE` datetime(0) NULL DEFAULT NULL COMMENT '修改日期',
  `DEL_FLAG` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '删除标记（0：正常；1：删除；2：审核）',
  `FLAG` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '启用标记（0：停用；1：启用）',
  `REMARKS` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '企业id',
  `sort` int(8) NULL DEFAULT NULL COMMENT '排序字段',
  PRIMARY KEY (`BUSINESS_ID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '数据字典' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_discuss
-- ----------------------------
DROP TABLE IF EXISTS `b_discuss`;
CREATE TABLE `b_discuss`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '创建者',
  `create_date` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '更新者',
  `update_date` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '0' COMMENT '删除标记，（0：正常；1：删除；2：审核）',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '1' COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '备注',
  `lesson_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '课程id',
  `pid` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '上一级',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '评论内容',
  `level` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '评论等级（1：评论课程 2：评论评论）',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL,
  `student_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '评论者',
  `reply_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '是否为回复（0不是回复 1是回复）',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '评论表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_external_link
-- ----------------------------
DROP TABLE IF EXISTS `b_external_link`;
CREATE TABLE `b_external_link`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '创建者',
  `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '更新者',
  `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '0' COMMENT '删除标记，（0：正常；1：删除；2：审核）',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '1' COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '备注',
  `title` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '标题',
  `computer_logo` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '客户端logo',
  `mobile_logo` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '手机logo',
  `external_url` varchar(256) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '' COMMENT '外部URL',
  `type` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '' COMMENT '类型（0：手机，1：跨平台,2: PC）',
  `sort` int(11) NOT NULL COMMENT '排序',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '企业id',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '总裁读书会外部链接表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_file
-- ----------------------------
DROP TABLE IF EXISTS `b_file`;
CREATE TABLE `b_file`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `lesson_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '课程ID',
  `chapter_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '章节ID',
  `file_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '视频名称',
  `video_url` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '可读文件地址（视频、音频、pdf、ppt）',
  `file_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '其他文件地址（文件包、word文档（转成PDF后pdf存放video_url））',
  `file_size` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件大小',
  `file_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件时长',
  `type` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '0视频 1音频  2PPT 3PDF 4word（单选）',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '启用标记（0：停用；1：启用）',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '删除标记（0：正常；1：删除；2：审核）',
  `remarks` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime(0) NULL DEFAULT NULL,
  `create_date` datetime(0) NULL DEFAULT NULL,
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '视频表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_hot
-- ----------------------------
DROP TABLE IF EXISTS `b_hot`;
CREATE TABLE `b_hot`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `person_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '学生id',
  `lesson_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '课程id',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '热度表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_label
-- ----------------------------
DROP TABLE IF EXISTS `b_label`;
CREATE TABLE `b_label`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '创建者',
  `create_date` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '更新者',
  `update_date` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '0' COMMENT '删除标记，（0：正常；1：删除；2：审核）',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '1' COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '备注',
  `l_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '标题',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '企业id',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '标签表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_lesson
-- ----------------------------
DROP TABLE IF EXISTS `b_lesson`;
CREATE TABLE `b_lesson`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `code` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '课程编号',
  `lesson_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '课程名称',
  `default_url` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '默认封面图片url',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '创建者',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '更新者',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT ' 删除标记（0：正常；1：删除；2：审核）',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '备注',
  `update_date` datetime(0) NULL DEFAULT NULL,
  `create_date` datetime(0) NULL DEFAULT NULL,
  `class_hour` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '学时',
  `lecturer_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '讲师id',
  `release_state` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '发布状态（0：待发布 1：审核中 2：已发布 3：已驳回 4:已关闭）',
  `course_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '课程分类',
  `person_number` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '选课人数',
  `course_time` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '课程时长（当课时为1时显示）',
  `course_description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '课程描述',
  `view_range` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '可见范围',
  `release_date` datetime(0) NULL DEFAULT NULL COMMENT '发布时间',
  `close_date` datetime(0) NULL DEFAULT NULL COMMENT '关闭时间',
  `lesson_type` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '课程类型（0：课程 1：培训）',
  `discuss_number` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '' COMMENT '评论数',
  `recommend` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '推荐（0：不推荐 1：推荐）',
  `collect_number` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '关注数',
  `hot_number` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '热度',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '企业id',
  `apply_start_date` datetime(0) NULL DEFAULT NULL COMMENT '报名开始时间',
  `apply_over_date` datetime(0) NULL DEFAULT NULL COMMENT '报名结束时间',
  `train_start_date` datetime(0) NULL DEFAULT NULL COMMENT '培训开始时间',
  `train_over_date` datetime(0) NULL DEFAULT NULL COMMENT '培训结束时间',
  `max_apply_person` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '培训最大报名人数',
  `train_address` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '培训地址',
  `train_sign_time` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '培训签到时间（培训开始前 分钟数）',
  `qr_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '二维码',
  `value_consume` int(8) NULL DEFAULT 0 COMMENT '积分消耗',
  `value_gain` int(8) NULL DEFAULT 0 COMMENT '积分奖励',
  `value_update_date` datetime(0) NULL DEFAULT NULL COMMENT '积分修改时间',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '课程表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_lesson_label
-- ----------------------------
DROP TABLE IF EXISTS `b_lesson_label`;
CREATE TABLE `b_lesson_label`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `label_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '标签id',
  `lesson_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '课程id',
  `sort` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '课程-标签表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_lesson_person
-- ----------------------------
DROP TABLE IF EXISTS `b_lesson_person`;
CREATE TABLE `b_lesson_person`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '创建者',
  `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '更新者',
  `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '0' COMMENT '删除标记，（0：正常；1：删除；2：审核）',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '1' COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '备注',
  `person_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '学生id',
  `lesson_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '课程id',
  `learn_progress` varchar(32) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '' COMMENT '学习进度',
  `is_finish` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否已学完（0：未开始 1：已开始 2： 已学完）',
  `finish_date` datetime(0) NULL DEFAULT NULL COMMENT '学完时间',
  `is_collect` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否收藏（0：未收藏 1：已收藏）不用',
  `appoint_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '指派id',
  `is_appoint` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否为指派（0自选（选修） 1指派（必修））',
  `chapter_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '最近學習的章節id',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `is_apply` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '培训是否报名（0 未报名 1已报名）',
  `train_is_sign` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '培训状态（0 待参加 1 缺勤 2 签到 ）',
  `apply_date` datetime(0) NULL DEFAULT NULL COMMENT '培训报名日期（课程加入学习日期）',
  `sign_date` datetime(0) NULL DEFAULT NULL COMMENT '签到日期',
  `ever_finished` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '曾经学完过(0未学完 1已学完)',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '学生-课程表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_material
-- ----------------------------
DROP TABLE IF EXISTS `b_material`;
CREATE TABLE `b_material`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `chapter_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '章节ID',
  `file_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '文件名称',
  `file_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件地址',
  `type` varchar(4) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件类型0视频 1音频  2PPT 3PDF 4word 5excel   6text 7jpg/jpeg  8png 9gif 10bmp  11 rar 12 zip',
  `upload_type` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '上传类型 0 保存 1上传 ',
  `file_size` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件大小 ',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '启用标记（0：停用；1：启用）',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '删除标记（0：正常；1：删除；2：审核）',
  `remarks` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime(0) NULL DEFAULT NULL,
  `create_date` datetime(0) NULL DEFAULT NULL,
  `lesson_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '课程id',
  `file_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件时长',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '资料表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_message
-- ----------------------------
DROP TABLE IF EXISTS `b_message`;
CREATE TABLE `b_message`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '创建者',
  `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '更新者',
  `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '0' COMMENT '删除标记，（0：正常；1：删除；2：审核）',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '1' COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '备注',
  `NAME` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名字',
  `time_value` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '时间值',
  `value_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '时间类型（0 秒,1 分钟,2 小时）',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '企业id',
  `sort` int(8) NULL DEFAULT NULL COMMENT '排序字段',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '通知配置表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_notice
-- ----------------------------
DROP TABLE IF EXISTS `b_notice`;
CREATE TABLE `b_notice`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `info_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '消息类型OFFLINE_TRAIN:培训；REPLY_DISCUSS:评论; EXAM:考试；ONLINE_LESSON:课程)',
  `info_text` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '消息内容',
  `create_date` datetime(0) NULL DEFAULT NULL COMMENT '创建日期',
  `update_date` datetime(0) NULL DEFAULT NULL COMMENT '修改日期',
  `del_flag` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '删除注解',
  `recipient_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '接收人id',
  `read_flag` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否已读，0未读，1已读',
  `flag` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '更新者',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '创建者',
  `sender_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '发送人id',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '企业Id',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Compact;

-- ----------------------------
-- Table structure for b_person_value
-- ----------------------------
DROP TABLE IF EXISTS `b_person_value`;
CREATE TABLE `b_person_value`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `person_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户id',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '创建者',
  `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '更新者',
  `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '0' COMMENT '删除标记，（0：正常；1：删除；2：审核）',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '1' COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '' COMMENT '备注',
  `event` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '事件',
  `value` int(11) NOT NULL COMMENT '积分',
  `type` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '' COMMENT '类型（0：获取（+），1：消耗（-））',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户积分明细表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_r_student_chapter
-- ----------------------------
DROP TABLE IF EXISTS `b_r_student_chapter`;
CREATE TABLE `b_r_student_chapter`  (
  `max_position` int(11) NULL DEFAULT NULL COMMENT '最大观看位置',
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `chapter_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '课程id',
  `student_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '学生id',
  `score` int(11) NOT NULL DEFAULT -1 COMMENT '学生分数',
  `is_complete` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '是否完成章节 0否  1是',
  `automatic` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '1' COMMENT '是否智评 0否 1是',
  `ppt_finish` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT 'ppt已看完 0未看完  1已看完',
  `pdf_finish` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT 'pdf已看完 0未看完  1已看完',
  `video_finish` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT 'ppt已看完 0未看完  1已看完',
  `paper_finish` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '试题已做完 0未看完  1已看完',
  `progress` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '进度',
  `current_location` int(11) NULL DEFAULT NULL COMMENT '當前章節學習時間',
  PRIMARY KEY (`business_id`) USING BTREE,
  UNIQUE INDEX `un_key_chapter_student`(`chapter_id`, `student_id`) USING BTREE,
  INDEX `idx_chapter_id`(`chapter_id`) USING BTREE,
  INDEX `idx_student_id`(`student_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '学生章节分数表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_recommend
-- ----------------------------
DROP TABLE IF EXISTS `b_recommend`;
CREATE TABLE `b_recommend`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '删除标记，（0：正常；1：删除；2：审核）',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `recommend_person` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '推荐人id',
  `lesson_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '课程id',
  `type` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '推荐类型（0 人 1 部门 2 人和部门）',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '企业id',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '推荐表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_recommend_son
-- ----------------------------
DROP TABLE IF EXISTS `b_recommend_son`;
CREATE TABLE `b_recommend_son`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `recommend_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '推荐表id',
  `type` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '被推荐对象类型（0：人 1：部门）',
  `target_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '人/部门id',
  `sort` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '推荐子表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_release_value
-- ----------------------------
DROP TABLE IF EXISTS `b_release_value`;
CREATE TABLE `b_release_value`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '' COMMENT '创建者',
  `create_date` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '' COMMENT '更新者',
  `update_date` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '0' COMMENT '删除标记，（0：正常；1：删除；2：审核）',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '1' COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '' COMMENT '备注',
  `title` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '' COMMENT '标题',
  `lesson_value` int(11) NULL DEFAULT NULL COMMENT '发布课程积分',
  `train_value` int(11) NULL DEFAULT NULL COMMENT '发布培训积分',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '企业id',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户积分表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_release_value_son
-- ----------------------------
DROP TABLE IF EXISTS `b_release_value_son`;
CREATE TABLE `b_release_value_son`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `release_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '对应release_value表中主键id',
  `user_id` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '用户id',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '发布积分-人群关系表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_role_depart
-- ----------------------------
DROP TABLE IF EXISTS `b_role_depart`;
CREATE TABLE `b_role_depart`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `role_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色id',
  `depart_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门id',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_train_file
-- ----------------------------
DROP TABLE IF EXISTS `b_train_file`;
CREATE TABLE `b_train_file`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `lesson_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '培训ID',
  `file_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '文件名称',
  `video_url` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '可读文件地址（视频、音频、pdf、ppt）',
  `file_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '转换为pdf路径 （保留字段）',
  `file_size` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件大小',
  `type` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '0视频 1音频  2PPT 3PDF 4word 5excel   6text 7jpg/jpeg  8png 9gif 10bmp  11 rar 12 zip',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '启用标记（0：停用；1：启用）',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '删除标记（0：正常；1：删除；2：审核）',
  `remarks` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime(0) NULL DEFAULT NULL,
  `create_date` datetime(0) NULL DEFAULT NULL,
  `sort` varchar(4) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '文件表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_viewrange
-- ----------------------------
DROP TABLE IF EXISTS `b_viewrange`;
CREATE TABLE `b_viewrange`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '删除标记，（0：正常；1：删除；2：审核）',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `lesson_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '课程id',
  `type` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '可视范围类型（0 人 1 部门 2 人和部门）',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '企业id',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '可见范围表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for b_viewrange_son
-- ----------------------------
DROP TABLE IF EXISTS `b_viewrange_son`;
CREATE TABLE `b_viewrange_son`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `viewrange_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '可见范围id',
  `type` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '可见类型（0：人 1：部门）',
  `target_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '人/部门id',
  `sort` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '可视范围子表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for s_log
-- ----------------------------
DROP TABLE IF EXISTS `s_log`;
CREATE TABLE `s_log`  (
  `BUSINESS_ID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `message` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `level` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `detail` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `logDate` datetime(0) NULL DEFAULT NULL,
  `CREATE_BY` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `CREATE_DATE` datetime(0) NOT NULL COMMENT '创建日期',
  `UPDATE_BY` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `UPDATE_DATE` datetime(0) NOT NULL COMMENT '修改日期',
  `del_flag` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `flag` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`BUSINESS_ID`) USING BTREE
) ENGINE = MyISAM CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for s_menu
-- ----------------------------
DROP TABLE IF EXISTS `s_menu`;
CREATE TABLE `s_menu`  (
  `BUSINESS_ID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '业务主键',
  `PARENT_ID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '父级菜单',
  `PARENT_IDS` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所有父级菜单',
  `NAME` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称',
  `CODE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `HREF` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '链接',
  `TARGET` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '目标（ mainFrame、_blank、_self、_parent、_top）',
  `ICON` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '图标',
  `SORT` int(11) NULL DEFAULT NULL COMMENT '排序',
  `IS_SHOW` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '1 显示  0  不显示',
  `IS_ACTIVITI` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '1 同步到工作流  0 不同步',
  `PERMISSION` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限',
  `CREATE_BY` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `CREATE_DATE` datetime(0) NOT NULL COMMENT '创建日期',
  `UPDATE_BY` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `UPDATE_DATE` datetime(0) NOT NULL COMMENT '修改日期',
  `REMARKS` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `DEL_FLAG` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '删除标识 1 删除 0 未删除 2 审核',
  `FLAG` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `MODEL_ID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模型ID',
  `CASE_COUNT` int(10) NULL DEFAULT NULL COMMENT '层级',
  PRIMARY KEY (`BUSINESS_ID`) USING BTREE,
  UNIQUE INDEX `code`(`CODE`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '菜单表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for s_r_user_role
-- ----------------------------
DROP TABLE IF EXISTS `s_r_user_role`;
CREATE TABLE `s_r_user_role`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '主键',
  `user_id` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '用户id',
  `role_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT '角色id',
  PRIMARY KEY (`business_id`) USING BTREE,
  INDEX `idx_user`(`user_id`) USING BTREE,
  INDEX `idx_role`(`role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '权限角色关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for s_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `s_role_menu`;
CREATE TABLE `s_role_menu`  (
  `BUSINESS_ID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `ROLE_ID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色id',
  `MENU_ID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '菜单id',
  PRIMARY KEY (`BUSINESS_ID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for s_user
-- ----------------------------
DROP TABLE IF EXISTS `s_user`;
CREATE TABLE `s_user`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键id',
  `login_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '登录名（code工号/学号）',
  `password` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '密码',
  `name` varchar(15) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '姓名',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '邮箱',
  `phone` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '手机号',
  `sex` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '性别（0：男，1：女）',
  `login_date` date NULL DEFAULT NULL COMMENT '最后登录日期',
  `remarks` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '删除标记（0：正常；1：删除；2：审核）',
  `flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '启用标记（0：停用；1：启用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime(0) NULL DEFAULT NULL,
  `create_date` datetime(0) NULL DEFAULT NULL,
  `head_pic` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '用户头像',
  `git_lab_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'gitlab账户id',
  `git_lab_username` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'gitlab账户姓名',
  `git_lab_impression_token` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'gitlab账户模拟令牌',
  `value` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '积分',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '企业id',
  `account_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `lock_num` int(11) NULL DEFAULT 1 COMMENT '积分锁',
  PRIMARY KEY (`business_id`) USING BTREE,
  INDEX `login_name`(`login_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for synchronization_time
-- ----------------------------
DROP TABLE IF EXISTS `synchronization_time`;
CREATE TABLE `synchronization_time`  (
  `business_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `synchronization_time` datetime(0) NULL DEFAULT NULL,
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tm_admin_role
-- ----------------------------
DROP TABLE IF EXISTS `tm_admin_role`;
CREATE TABLE `tm_admin_role`  (
  `r_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `r_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色名',
  `r_status` int(2) NULL DEFAULT NULL COMMENT '状态（0 未启用,1 启用）',
  `r_createdate` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `r_privilege` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '菜单code',
  `type` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '管理课程类型范围0：仅可看自己 1：可看全部 2：查看指定（b_role_user）',
  `r_type` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色类型 0主管理员 1子管理员 2其他默认角色 3用户新增的角色',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '企业id',
  `depart_ids` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门id',
  PRIMARY KEY (`r_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户角色表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tm_course
-- ----------------------------
DROP TABLE IF EXISTS `tm_course`;
CREATE TABLE `tm_course`  (
  `c_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'id',
  `c_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '课程分类名',
  `c_logo` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `c_tid` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `c_caid` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `c_score` int(11) NULL DEFAULT NULL,
  `c_type` int(2) NULL DEFAULT NULL COMMENT '1必修，0选修',
  `c_introduce` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '课程分类介绍',
  `c_postdate` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `c_modifydate` datetime(0) NULL DEFAULT NULL COMMENT '修改日期',
  `c_status` int(2) NULL DEFAULT 0 COMMENT '1正常，-9已删除，0待审核',
  `c_stars` int(11) NULL DEFAULT NULL COMMENT '管理员给的分值，如：5代表5颗星',
  `c_data` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '分类信息',
  `c_poster` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `c_modifier` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '企业id',
  PRIMARY KEY (`c_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '课程分类' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tm_examdata
-- ----------------------------
DROP TABLE IF EXISTS `tm_examdata`;
CREATE TABLE `tm_examdata`  (
  `e_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'id',
  `e_pid` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试卷id',
  `e_uid` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户id',
  `e_starttime` datetime(0) NULL DEFAULT NULL COMMENT '考试开始时间',
  `e_endtime` datetime(0) NULL DEFAULT NULL COMMENT '考试结束时间',
  `e_ip` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `e_score` int(4) NULL DEFAULT NULL COMMENT '考试分数',
  `e_status` int(2) NULL DEFAULT NULL COMMENT '0未交卷，1已交卷待批改，2已批改',
  `e_data` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '考试数据',
  `e_check` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  PRIMARY KEY (`e_id`) USING BTREE,
  INDEX `IDX_PID`(`e_pid`) USING BTREE,
  INDEX `IDX_UID`(`e_uid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '考试表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tm_examdata_addition
-- ----------------------------
DROP TABLE IF EXISTS `tm_examdata_addition`;
CREATE TABLE `tm_examdata_addition`  (
  `e_id` int(11) NOT NULL,
  `e_pid` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `e_uid` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `e_remarker` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `e_remark` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `e_remarkdate` datetime(0) NULL DEFAULT NULL,
  PRIMARY KEY (`e_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tm_paper
-- ----------------------------
DROP TABLE IF EXISTS `tm_paper`;
CREATE TABLE `tm_paper`  (
  `p_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '试卷id',
  `p_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试卷名',
  `p_cid` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试卷分类id',
  `p_status` int(2) NULL DEFAULT NULL COMMENT '试卷状态，1正常可用，0不可???',
  `p_starttime` datetime(0) NULL DEFAULT NULL COMMENT '考试开始日期',
  `p_endtime` datetime(0) NULL DEFAULT NULL COMMENT '考试结束日期',
  `p_duration` int(5) NULL DEFAULT NULL COMMENT '试卷考试时间',
  `p_showtime` datetime(0) NULL DEFAULT NULL COMMENT '答案公布日期',
  `p_total_score` int(5) NULL DEFAULT NULL COMMENT '试卷总分',
  `p_pass_score` int(5) NULL DEFAULT NULL COMMENT '及格分数',
  `p_question_order` int(1) NULL DEFAULT NULL COMMENT '0正常，1随机',
  `p_papertype` int(1) NULL DEFAULT NULL COMMENT '0普通试卷，1随机生成试卷',
  `p_remark` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '备注',
  `p_data` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '试卷内容数据',
  `p_poster` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `p_createdate` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `p_modifyor` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `p_modifydate` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `p_showkey` int(2) NULL DEFAULT 1,
  `p_showmode` int(2) NULL DEFAULT 1 COMMENT '1',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '企业Id',
  PRIMARY KEY (`p_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '试卷表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tm_paper_category
-- ----------------------------
DROP TABLE IF EXISTS `tm_paper_category`;
CREATE TABLE `tm_paper_category`  (
  `c_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '试卷分类id',
  `c_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试卷分类名',
  `c_remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `c_status` int(2) NULL DEFAULT NULL COMMENT '状态 0未启用 1启用',
  `c_poster` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `c_createdate` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `c_modifyor` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `c_modifydate` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '企业id',
  PRIMARY KEY (`c_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '试卷分类表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tm_paper_link_branch
-- ----------------------------
DROP TABLE IF EXISTS `tm_paper_link_branch`;
CREATE TABLE `tm_paper_link_branch`  (
  `ln_pid` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试卷id',
  `ln_buid` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户id',
  `ln_type` int(2) NULL DEFAULT NULL COMMENT '1部门关系，0个人关系'
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '试卷-用户中间表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tm_question
-- ----------------------------
DROP TABLE IF EXISTS `tm_question`;
CREATE TABLE `tm_question`  (
  `q_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '试题id',
  `q_dbid` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '题库id',
  `q_type` int(2) NULL DEFAULT NULL COMMENT '试题类型 1单选 2多选 3判断 4填空 5问答 ',
  `q_level` int(2) NULL DEFAULT NULL COMMENT '类型 都是3 ？',
  `q_from` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '来源',
  `q_status` int(2) NULL DEFAULT NULL COMMENT '状态 0未启用 1启用',
  `q_content` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '试题题目',
  `q_key` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '正确选项',
  `q_resolve` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '正确选项内容',
  `q_poster` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人id',
  `q_createdate` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `q_modifyor` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人id',
  `q_modifydate` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `q_data` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '试题内容',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '企业id',
  PRIMARY KEY (`q_id`) USING BTREE,
  INDEX `FK_ref_question_db`(`q_dbid`) USING BTREE,
  INDEX `IDX_QTYPE`(`q_type`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '试题表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tm_question_db
-- ----------------------------
DROP TABLE IF EXISTS `tm_question_db`;
CREATE TABLE `tm_question_db`  (
  `d_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '题库id',
  `d_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '题库名',
  `d_logo` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'logo',
  `d_status` int(2) NULL DEFAULT NULL COMMENT '启用状态 0未启用 1启用',
  `d_remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '题库备注',
  `d_poster` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人id',
  `d_createdate` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `d_modifyor` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人id',
  `d_modifydate` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `d_cid` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '课程分类id',
  `corp_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '企业id',
  PRIMARY KEY (`d_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '题库表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Procedure structure for logic_paper_procedure
-- ----------------------------
DROP PROCEDURE IF EXISTS `logic_paper_procedure`;
delimiter ;;
CREATE DEFINER=`root`@`%` PROCEDURE `logic_paper_procedure`(IN planId varchar(64),in plan_count int,in plan_type int,in slid varchar(64),in chid varchar(64))
BEGIN
	-- 试卷 (plan_type 1 当节，0是 开课 )
    DECLARE paper_id INT DEFAULT 0 ; 
				WHILE plan_count > 0 DO  -- 生成数量
						-- 试卷		
						INSERT into t_paper(status,pc_id,chap_id) values('0',planId,chid);
						select max(business_id) into paper_id  from t_paper;	
						-- 大题
						begin
							-- 大题
							DECLARE sectionId INT DEFAULT 0 ; 
							DECLARE	no_more_sections INT DEFAULT 0 ; 
							DECLARE s_desc VARCHAR(200) DEFAULT '0' ; 
							DECLARE s_type int DEFAULT 0 ; 
							DECLARE s_num int DEFAULT 0 ; 
							DECLARE orderId INT DEFAULT 0 ; 
							DECLARE sectionOrderId INT DEFAULT 0 ; 
							
							DECLARE cursor_sections CURSOR FOR 
								SELECT s.sdesc,s.q_type,s.q_num from t_paper_chapter_section s WHERE  s.pc_id = planId ;  
							DECLARE  CONTINUE HANDLER FOR NOT FOUND  SET  no_more_sections = 1; 
							open cursor_sections;

							fetch cursor_sections into s_desc,s_type,s_num;
							while no_more_sections<>1 DO
								set sectionOrderId = sectionOrderId+1;
								INSERT into t_paper_section(p_id,sdesc,q_type,q_num,sorder) values(paper_id,s_desc,s_type,s_num,sectionOrderId); 

								select max(business_id) into sectionId  from t_paper_section;	
								
								 -- 题目
										 if plan_type = 2 then
											 BEGIN
												DECLARE questionId VARCHAR(64) DEFAULT '0' ; 
												DECLARE no_more_ques INT DEFAULT 0 ; 
												
												
													DECLARE cursor_ques CURSOR FOR select t.business_id from (select business_id from t_question  
																				where  qtype = s_type  and  chap_id = chid
																			)t order by RAND()
																			limit s_num;

												DECLARE  CONTINUE HANDLER FOR NOT FOUND  SET  no_more_ques = 1; 	
												open cursor_ques;
												fetch cursor_ques into questionId;


												while no_more_ques<>1 DO
													set orderId = orderId+1;
													INSERT INTO t_paper_detail(p_id,ps_id,q_id,sorder) values (paper_id,sectionId,questionId,orderId);		
													fetch cursor_ques into questionId;
												END WHILE ;
												close cursor_ques;
											 end;
										end if; 
											if plan_type = 1 then
											BEGIN
												DECLARE questionId VARCHAR(64) DEFAULT '0' ; 
												DECLARE no_more_ques INT DEFAULT 0 ; 
												
													DECLARE cursor_ques CURSOR FOR select t.business_id from (select business_id from t_question  
																				where  qtype = s_type  and  sl_id = slid
																			)t order by RAND()
																			limit s_num;

												DECLARE  CONTINUE HANDLER FOR NOT FOUND  SET  no_more_ques = 1; 	
												open cursor_ques;
												fetch cursor_ques into questionId;


												while no_more_ques<>1 DO
													set orderId = orderId+1;
													INSERT INTO t_paper_detail(p_id,ps_id,q_id,sorder) values (paper_id,sectionId,questionId,orderId);		
													fetch cursor_ques into questionId;
												END WHILE ;
												close cursor_ques;
											 end;

										end if;
										
	
								fetch cursor_sections into s_desc,s_type,s_num;
							END WHILE ;
							close cursor_sections;
						end;
						set plan_count = plan_count-1;
				END WHILE ;

END
;;
delimiter ;

-- ----------------------------
-- Procedure structure for update_student_num
-- ----------------------------
DROP PROCEDURE IF EXISTS `update_student_num`;
delimiter ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `update_student_num`(OUT r_result INT)
BEGIN
DECLARE c_code VARCHAR (64) ;
DECLARE stop int default 0;
DECLARE cur CURSOR FOR (SELECT b1.`code` FROM b_class b1) ;
DECLARE CONTINUE HANDLER FOR SQLSTATE '02000' SET stop = null; 
SET r_result = 0 ;
	OPEN cur ; 
		FETCH cur INTO c_code ; 
		WHILE ( stop is not null) DO
			UPDATE b_class b
				SET b.student_num = (
					SELECT
						count(business_id)
					FROM
						b_r_class_student br
					WHERE
						br.class_code = c_code
				)
			WHERE
			b.`code` = c_code ;
		SET r_result = r_result + 1 ;
		FETCH cur INTO c_code ; 
		END WHILE;
	CLOSE cur ;

END
;;
delimiter ;

SET FOREIGN_KEY_CHECKS = 1;
