package org.rcisoft.business.bbanner.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;

@Data
public class AddOrUpdateDTO {

    @ApiModelProperty(value = "BannerId" ,required = false, dataType = "varchar")
    private String businessId;

    @NotBlank(message = "标题不能为空")
    @Length(max = 50,message = "长度最大为50")
    @ApiModelProperty(value = "标题" ,required = true, dataType = "varchar")
    private String title;

    @NotBlank(message = "图片未上传")
    @ApiModelProperty(value = "图片地址",required = true, dataType = "varchar")
    private String imageUrl;

    @NotBlank
    @ApiModelProperty(value = "是否为外部链接（0：否，1：是）",required = true, dataType = "varchar")
    private String isExternalLink;

    @ApiModelProperty(value = "外部URL",required = false, dataType = "varchar")
    private String externalUrl;

    @ApiModelProperty(value = "类型（0：线下，1：线上）",required = false, dataType = "varchar")
    private String lineType;

    @ApiModelProperty(value = "课程ID",required = false, dataType = "varchar")
    private String courseId;

    private String userId;

    private String corpId;

}
