package org.rcisoft.business.bchapter.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
* Created with  on 2020-7-1 18:57:28.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "b_p_chapter")
public class BPChapter extends IdEntity<BPChapter> {



     /**
     * @desc 章节名称
     * @column chapter_name
     * @default 
     */
     private String chapterName;

     /**
     * @desc 等级，1：章 2：节
     * @column chapter_level
     * @default 1
     */
     private Integer chapterLevel;

     /**
     * @desc 上一级
     * @column pid
     * @default -1
     */
     private String pid;

     /**
     * @desc 课程url
     * @column chapter_url
     * @default 
     */
     private String chapterUrl;

     /**
     * @desc 任务书
     * @column md_file
     * @default 
     */
     private String mdFile;

     /**
     * @desc 0视频 1音频  2PPT 3PDF 4word（单选）
     * @column is_test
     * @default 
     */
     private String isTest;

     /**
     * @desc 课程ID
     * @column lesson_id
     * @default 
     */
     private String lessonId;

     /**
     * @desc 学时
     * @column class_hour
     * @default 
     */
     private String classHour;

     /**
     * @desc 状态 0 关闭，1开启
     * @column state
     * @default 0
     */
     private String state;

     /**
     * @desc 章节排序
     * @column sort
     * @default 
     */
     private Integer sort;

     /**
     * @desc 企业id
     * @column corp_id
     * @default 
     */
     private String corpId;

     /**
     * @desc 是否智评  0否  1是
     * @column automatic
     * @default 1
     */
     private String automatic;

     /**
     * @desc 实验类型  1java单文件  2java工程   3html单文件  4html工程
     * @column experiment_type
     * @default 
     */
     private String experimentType;

     /**
     * @desc 课程时长
     * @column course_time
     * @default 
     */
     private String courseTime;


}

