package org.rcisoft.business.bcourse.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.rcisoft.business.bcourse.entity.BCourse;

import java.util.List;

@Data
public class QueryCourseResDTO {

    @ApiModelProperty(value = "课程分类名")
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    private String title;

    @ApiModelProperty(value = "id")
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    private String key;

    @ApiModelProperty(value = "子章节")
    private List<QueryCourseResDTO> children;

    @ApiModelProperty(value = "排序序号")
    private int sort;

    @ApiModelProperty(value = "上一级")
    private String pid;

    @ApiModelProperty(value = "等级")
    private  String courseLevel;

    @ApiModelProperty(value = "new的数量")
    private  int newCount;
}
