package org.rcisoft.business.bdefaultpic.service.impl;

import org.rcisoft.core.util.UserUtil;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.business.bdefaultpic.dao.BDefaultPicRepository;
import org.rcisoft.business.bdefaultpic.entity.BDefaultPic;
import org.rcisoft.business.bdefaultpic.service.BDefaultPicService;


import org.rcisoft.sys.user.bean.CurUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;


import java.util.List;
import lombok.extern.slf4j.Slf4j;

/**
 * Created by  on 2019-11-26 14:44:48.
 */
@Service
@Transactional(readOnly = true,propagation = Propagation.NOT_SUPPORTED)
@Slf4j
public class BDefaultPicServiceImpl implements BDefaultPicService {

    @Autowired
    private BDefaultPicRepository bDefaultPicRepository;


    /**
    * 保存 bDefaultPic
    * @param pic
    * @return
    */
    @Transactional(propagation = Propagation.REQUIRED,isolation = Isolation.DEFAULT)
    @Override
    public PersistModel save(String pic){
        //增加操作
        BDefaultPic bDefaultPic = new BDefaultPic();
        bDefaultPic.setPic(pic);
        UserUtil.setCurrentPersistOperation(bDefaultPic);
        int line = bDefaultPicRepository.insertSelective(bDefaultPic);
        return new PersistModel(line);
    }

    /**
    * 逻辑删除
    * @param bDefaultPic
    * @return
    */
    @Transactional(propagation = Propagation.REQUIRED,isolation = Isolation.DEFAULT)
    @Override
    public PersistModel remove(BDefaultPic bDefaultPic){
        UserUtil.setCurrentMergeOperation(bDefaultPic);
        bDefaultPic.setDeleted();
        int line = bDefaultPicRepository.logicalDelete(bDefaultPic);
        return new PersistModel(line);
    }


    /**
    * 根据id查询 bDefaultPic
    * @param id
    * @return
    */
    public BDefaultPic findById(String id){
        return bDefaultPicRepository.selectByPrimaryKey(id);
    }

    /**
    * 分页查询 bDefaultPic
    * @param curUser
    * @return
    */
    public List<BDefaultPic> findAllByPagination(PageUtil<BDefaultPic> paginationUtility, CurUser curUser){
        return bDefaultPicRepository.queryBDefaultPics(curUser.getCorpId());
    }

    /**
     * 查询 bDefaultPic
     * @param curUser
     * @return
     */
    @Override
    public List<BDefaultPic> findAll(CurUser curUser) {
        return bDefaultPicRepository.queryBDefaultPics(curUser.getCorpId());
    }

}
