package org.rcisoft.business.bexternallink.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import org.hibernate.validator.constraints.Length;
import org.rcisoft.core.entity.IdEntity;
import javax.persistence.*;
import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with  on 2019-11-13 13:28:38.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "b_external_link")
public class BExternalLink  extends IdEntity<BExternalLink> {

    private static final long serialVersionUID = 2429179519651646832L;

    @Length(min = 1,max = 64,message = "长度最小为1,最大为64")
    @NotBlank
    @ApiModelProperty(value = "标题")
     private String title;


    @ApiModelProperty(value = "移动端图标",required = false, dataType = "varchar")
    private String mobileLogo;

    @ApiModelProperty(value = "客户端图标",required = false, dataType = "varchar")
    private String computerLogo;


    @Length(min = 1,max = 64,message = "长度最小为1,最大为64")
    @ApiModelProperty(value = "外部URL")
     private String externalUrl;

    @Length(min = 1,max = 64,message = "长度最小为1,最大为64")
    @ApiModelProperty(value = "类型（0：手机，1：跨平台,2: PC）")
     private String type;

    @Length(min = 1,max = 64,message = "长度最小为1,最大为64")
    @ApiModelProperty(value = "排序")
     private Integer sort;

     private String corpId;


    @ApiModelProperty(value = "平台推送标志（1:推荐 其他：非推荐）")
    private String isPush;

    @ApiModelProperty(value = "推送源主键id")
    private String supperId;

     public BExternalLink(String businessId){
          this.businessId = businessId;
     }

}

