package org.rcisoft.business.bexternallink.service;

import org.rcisoft.business.bexternallink.dto.AddOrUpdateDTO;
import org.rcisoft.business.bexternallink.dto.FindListDTO;
import org.rcisoft.business.bexternallink.entity.BExternalLink;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.sys.user.bean.CurUser;

import java.util.List;

/**
 * Created by  on 2019-11-13 13:28:38.
 */
public interface BExternalLinkService {

    /**
    * 保存
    * @param addOrUpdateDTO
    * @return
    */
    PersistModel save(AddOrUpdateDTO addOrUpdateDTO);

    /**
    * 逻辑删除
    * @param id
    * @return
    */
     PersistModel remove(String id);

    /**
    * 根据id查询
    * @param id
    * @return
    */
    BExternalLink findById(String id);

    /**
    * 分页查询 
    * @param findListDTO
    * @return
    */
    List<BExternalLink> findAllByPagination(PageUtil<BExternalLink> paginationUtility,
                                            FindListDTO findListDTO);

    /**
     * 重新排序
     * @param orderMap
     * @return
     */
    int updateExternalLinkOrder(String orderMap);


}
