package org.rcisoft.business.bfile.dao;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.rcisoft.business.bchapter.entity.BChapter;
import org.rcisoft.business.bfile.entity.BFile;
import org.rcisoft.business.bfile.entity.BPFile;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.blesson.entity.BLesson;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with  on 2020-7-1 18:57:28.
*/
@Repository
public interface BPFileRepository extends BaseMapper<BPFile> {

    /**
    * 分页查询 bPFile
    *
    */
    @Select("<script>select * from b_p_file where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if> "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if> "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<BPFile> queryBPFiles(BPFile bPFile);


    @Insert("<script>" +
            " insert into b_p_file VALUES " +
            "<foreach collection=\"list\" item=\"item\" index=\"index\" separator=\",\"> " +
            "(#{item.businessId},#{item.lessonId},#{item.chapterId},#{item.fileName},#{item.videoUrl}, " +
            "#{item.fileUrl},#{item.fileSize},#{item.fileTime},  #{item.type}, #{item.flag}, #{item.delFlag}," +
            "#{item.remarks},#{item.createBy},#{item.updateBy},#{item.updateDate},#{item.createDate})" +
            "</foreach>  </script>")
    int insertList(List<BFile> list);

    /**
     * 批量删除 课程
     * @param list
     * @return
     */
    @Delete("<script>" +
            " delete from b_p_file where business_id in " +
            "<foreach item='item' index='index' collection='list' open='(' separator=',' close=')'> #{item.businessId} </foreach> "+
            "</script>")
    int deleteList(List<BFile> list);

}

