package org.rcisoft.business.bfile.entity;

import lombok.*;

import org.rcisoft.core.entity.IdEntity;

import javax.persistence.*;

/**
* Created with  on 2020-7-1 18:57:28.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "b_p_file")
public class BPFile  extends IdEntity<BPFile> {



     /**
     * @desc 课程ID
     * @column lesson_id
     * @default 
     */
     private String lessonId;

     /**
     * @desc 章节ID
     * @column chapter_id
     * @default 
     */
     private String chapterId;

     /**
     * @desc 视频名称
     * @column file_name
     * @default 
     */
     private String fileName;

     /**
     * @desc 可读文件地址（视频、音频、pdf、ppt）
     * @column video_url
     * @default 
     */
     private String videoUrl;

     /**
     * @desc 其他文件地址（文件包、word文档（转成PDF后pdf存放video_url））
     * @column file_url
     * @default 
     */
     private String fileUrl;

     /**
     * @desc 文件大小
     * @column file_size
     * @default 
     */
     private String fileSize;

     /**
     * @desc 文件时长
     * @column file_time
     * @default 
     */
     private String fileTime;

     /**
     * @desc 0视频 1音频  2PPT 3PDF 4word（单选）
     * @column type
     * @default 
     */
     private String type;


}

