package org.rcisoft.business.blesson.dao;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.blesson.dto.AppointLessonDTO;
import org.rcisoft.business.blesson.dto.CancelAppointDTO;
import org.rcisoft.business.blesson.entity.BAppoint;
import org.rcisoft.business.blesson.entity.BLessonPerson;
import org.rcisoft.core.base.BaseMapper;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with  on 2019-10-8 15:58:06.
*/
@Repository
public interface BAppointRepository extends BaseMapper<BAppoint> {


    /**
     * Id 查询 bAppoint
     *
     */
    @Select("<script>select * from b_appoint where 1=1 "
            + "and del_flag != 1 "
            + "and flag = 1 "
            + "and business_id = #{bAppointId} "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    BAppoint selectById(String bAppointId);

    /**
     * 按课程Id 查询 bAppoint
     *
     */
    @Select("<script>select * from b_appoint where 1=1 "
            + "and del_flag != 1 "
            + "and flag = 1 "
            + "and lesson_id = #{lessonId} "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<BAppoint> selectByLessonId(@Param("lessonId") String lessonId);


    @Insert("<script>" +
            " insert into b_appoint(" +
            " business_id,create_by,create_date,update_by,update_date, " +
            " del_flag,flag,remarks,lesson_id,appointer_id, " +
            " designated_id) " +
            " values " +
            "  (#{param.businessId}, #{param.createBy},#{param.createDate},#{param.updateBy},#{param.updateDate}, " +
            "  #{param.delFlag}, #{param.flag},#{param.remarks},#{param.lessonId},#{param.appointerId}, " +
            "  #{param.designatedId}) " +
            "</script>")
    int  insertAppoint(@Param("param") BAppoint param);
}

