package org.rcisoft.business.blesson.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class ExamDto {
    @ApiModelProperty(value = "试卷名称")
    public String paperName;

    @ApiModelProperty(value = "考试时长")
    public String examTime;

    @ApiModelProperty(value = "及格分数/卷面分数")
    public String paperScore;

    @ApiModelProperty(value = "考试状态")
    public String paperStatus;

    @ApiModelProperty(value = "考试结果")
    public String examResult;

    @ApiModelProperty(value = "试卷得分")
    public String score;

    @ApiModelProperty(value = "考试耗时")
    public String timeCost;

    @ApiModelProperty(value = "开考时间")
    @DateTimeFormat(pattern="yyyy/MM/dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy/MM/dd HH:mm")
    public Date examStart;

    @ApiModelProperty(value = "交卷时间")
    @DateTimeFormat(pattern="yyyy/MM/dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy/MM/dd HH:mm")
    public Date examEnd;

    @DateTimeFormat(pattern="yyyy/MM/dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy/MM/dd HH:mm")
    public Date PaperEndTime;

}
