package org.rcisoft.business.blesson.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

@Data
public class FindAllLessonDTO {

    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @ApiModelProperty(value = "课程编号")
    private String code;

    @ApiModelProperty(value = "课程名称")
    @Length(min = 1,max = 200,message = "长度最小为1,最大为150")
    private String lessonName;

    @ApiModelProperty(value = "发布状态（0：待发布 1：审核中 2：已发布 3：已驳回 4:已关闭）")
    @Length(min = 1,max = 1,message = "长度最小为1,最大为1")
    private String releaseState;

    @ApiModelProperty(value = "课程分类")
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    private String courseId;

    @ApiModelProperty(value = "可见范围")
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    private String viewRange;

    @ApiModelProperty(value = "课程类型（0：课程 1：培训）")
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    private String lessonType;

    @ApiModelProperty(value = "推荐（0：不推荐 1：推荐）")
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    private String recommend;

    @ApiModelProperty(value = "讲师姓名")
    private String lecturerName;

    @ApiModelProperty(value = "标签集合")
    private String labels;

    @ApiModelProperty(value = "创建人姓名")
    private String createByName;

    private String cropId;

}
