package org.rcisoft.business.blesson.service.impl;

import org.rcisoft.core.util.UserUtil;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.business.blesson.dao.BPLessonRepository;
import org.rcisoft.business.blesson.entity.BPLesson;
import org.rcisoft.business.blesson.service.BPLessonService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;


import lombok.extern.slf4j.Slf4j;

/**
 * Created by  on 2020-7-1 18:57:28.
 */
@Service
@Transactional(readOnly = true,propagation = Propagation.NOT_SUPPORTED)
@Slf4j
public class BPLessonServiceImpl implements BPLessonService {

    @Autowired
    private BPLessonRepository bPLessonRepository;


    /**
    * 保存 平台记录企业的课程
    * @param bPLesson
    * @return
    */
    @Transactional(propagation = Propagation.REQUIRED,isolation = Isolation.DEFAULT)
    @Override
    public PersistModel save(BPLesson bPLesson){
        //增加操作
        UserUtil.setCurrentPersistOperation(bPLesson);
        int line = bPLessonRepository.insertSelective(bPLesson);
        return new PersistModel(line);
    }

    /**
    * 删除 平台记录企业的课程
    * @param bPLesson
    * @return
    */
    @Transactional(propagation = Propagation.REQUIRED,isolation = Isolation.DEFAULT)
    @Override
    public PersistModel remove(BPLesson bPLesson){
        int line = bPLessonRepository.deleteByPrimaryKey(bPLesson.getBusinessId());
        return new PersistModel(line);
    }


}
