package org.rcisoft.business.blessonlog.controller;


/*固定导入*/
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.rcisoft.common.controller.PaginationController;
import org.rcisoft.common.model.GridModel;
import org.rcisoft.core.constant.MessageConstant;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.result.Result;
import org.rcisoft.sys.user.bean.CurUser;
import org.springframework.validation.BindingResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;


import org.rcisoft.business.blessonlog.entity.BLessonLog;
import org.rcisoft.business.blessonlog.service.BLessonLogService;

import java.util.List;

/**
* Created by  on 2020-7-1 18:57:28.
*/
@RestController
@RequestMapping("/blessonlog")
public class BLessonLogController extends PaginationController<BLessonLog> {

    @Autowired
    private BLessonLogService bLessonLogServiceImpl;


    @ApiOperation(value="添加课程日志", notes="添加课程日志")
    @PostMapping(value = "/add")
    public Result add(CurUser curUser, @Valid BLessonLog bLessonLog, BindingResult bindingResult) {
        bLessonLog.setCorpId(curUser.getCorpId());
        PersistModel data = bLessonLogServiceImpl.save(bLessonLog);
        return Result.builder(data,
            MessageConstant.MESSAGE_ALERT_SUCCESS,
            MessageConstant.MESSAGE_ALERT_ERROR,
        bLessonLog);
    }


    @ApiOperation(value="分页查询课程日志集合", notes="分页查询课程日志集合")
    @GetMapping(value = "/queryBLessonLogByPagination")
    public GridModel listByPagination(CurUser curUser ,BLessonLog bLessonLog) {
        bLessonLogServiceImpl.findAllByPagination(getPaginationUtility(), bLessonLog);
        return getGridModelResponse();
    }
}
