package org.rcisoft.business.bmaterial.controller;


/*固定导入*/
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.rcisoft.business.bmaterial.dto.FindDTO;
import org.rcisoft.common.controller.PaginationController;
import org.rcisoft.common.model.GridModel;
import org.rcisoft.sys.user.bean.CurUser;
import org.springframework.validation.BindingResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.rcisoft.core.result.Result;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.constant.MessageConstant;
import javax.validation.Valid;


import org.rcisoft.business.bmaterial.entity.BMaterial;
import org.rcisoft.business.bmaterial.service.BMaterialService;


/**
* Created by  on 2019-10-12 10:38:31.
*/
@Api(tags = "13 资料")
@RestController
@RequestMapping("bmaterial")
public class BMaterialController extends PaginationController<BMaterial> {

    @Autowired
    private BMaterialService bMaterialServiceImpl;


    @ApiOperation(value="1301 添加保存资料", notes="保存资料")
    @PostMapping(value = "/add")
    public Result add(CurUser curUser, @Valid BMaterial bMaterial, BindingResult bindingResult) {
        PersistModel data = bMaterialServiceImpl.save(bMaterial,curUser);
        return Result.builder(data,
            MessageConstant.MESSAGE_ALERT_SUCCESS,
            MessageConstant.MESSAGE_ALERT_ERROR,
        bMaterial);
    }


    @ApiOperation(value="1302分页查看我的资料集合", notes="分页查看我的资料集合")
    @GetMapping(value = "/queryMyBMaterialByPagination")
    public Result queryMyBMaterialByPagination(CurUser curUser, @Valid FindDTO findDTO, BindingResult bindingResult) {
        bMaterialServiceImpl.queryMyBMaterialByPagination(getPaginationUtility(), findDTO);
        GridModel  gridModel = getGridModelResponse();
        return Result.builder(new PersistModel(1),
                MessageConstant.MESSAGE_ALERT_SUCCESS,
                MessageConstant.MESSAGE_ALERT_ERROR,
                gridModel);
    }

//    @ApiOperation(value="1303逻辑删除", notes="逻辑删除")
//    @ApiImplicitParams({@ApiImplicitParam(name = "id", value = "id", required = false, dataType = "varchar")})
//    @DeleteMapping("/delete")
//    public Result delete(CurUser curUser,@Valid String businessId, BindingResult bindingResult) {
//        BMaterial bMaterial = new BMaterial();
//        bMaterial.setBusinessId(businessId);
//        PersistModel data = bMaterialServiceImpl.remove(bMaterial);
//        return Result.builder(data,
//            MessageConstant.MESSAGE_ALERT_SUCCESS,
//            MessageConstant.MESSAGE_ALERT_ERROR,
//                businessId);
//    }

    @ApiOperation(value="1303批量删除", notes="批量删除")
    @ApiImplicitParams({@ApiImplicitParam(name = "ids", value = "删除business 用逗号隔开", required = false, dataType = "varchar")})
    @PostMapping("/deleteMore")
    public Result deleteMore(CurUser curUser,@Valid String ids, BindingResult bindingResult) {
        PersistModel data = bMaterialServiceImpl.removeMore(ids, curUser);
        return Result.builder(data,
                MessageConstant.MESSAGE_ALERT_SUCCESS,
                MessageConstant.MESSAGE_ALERT_ERROR,
                ids);
    }
}
