package org.rcisoft.business.bmessage.dao;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.core.base.BaseMapper;
import org.rcisoft.business.bmessage.entity.BMessage;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.sys.user.bean.CurUser;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with  on 2019-11-25 10:55:04.
*/
@Repository
public interface BMessageRepository extends BaseMapper<BMessage> {

    /**
    * 查询 bMessage
    *
    */
    @Select("<script>select * from b_message where 1=1 "
            + " and del_flag = 0 "
            + " and corp_id  = #{param.corpId} "
            + " order by sort asc "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<BMessage> queryBMessages(@Param("param") CurUser curUser);

    @Insert("<script>INSERT INTO b_message " +
            "(create_date,create_by,update_date,update_by," +
            "del_flag,flag,business_id,remarks," +
            "`NAME`,time_value,value_type,corp_id,sort)VALUES" +
            "<foreach collection=\"list\" item=\"item\" separator=\",\">" +
            "(#{item.createDate},#{item.createBy},#{item.updateDate},#{item.updateBy}," +
            "#{item.delFlag},#{item.flag},#{item.businessId},#{item.remarks}," +
            "#{item.name},#{item.timeValue},#{item.valueType},#{item.corpId},#{item.sort})" +
            "</foreach></script>")
    int insertList(List<BMessage> bMessageList);


    /**
     * 查询 bMessage
     *
     */
    @Select("<script>select * from b_message where 1=1 "
            + " and del_flag = 0 "
            + " and name = #{name} "
            + " <if test=\"corpId !=null and corpId != ''\">and corp_id=#{corpId}</if>"
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<BMessage> queryByNameAndCorp(@Param("name") String name, @Param("corpId") String corpId);

    /**
     * 查询 资源共享同步 的状态
     * @param corpId
     * @return
     */
    @Select("select time_value from b_message where 1=1 and del_flag != 1 and flag = 1 and `name`= 'SHARE' and corp_id = #{corpId}")
    String getSycnValue(String corpId);
}

