package org.rcisoft.business.bnotice.dao;

import org.apache.ibatis.annotations.*;
import org.rcisoft.business.bnotice.dto.ReadDTO;
import org.rcisoft.core.base.BaseMapper;
import org.rcisoft.business.bnotice.entity.BNotice;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with  on 2019-11-28 11:18:34.
*/
@Repository
public interface BNoticeRepository extends BaseMapper<BNotice> {

    /**
    * 分页查询 bNotice
    *
    */
    @Select("<script>select * from b_notice where 1=1 "
            + " and del_flag = 0  and flag = 1 "
            + " <if test=\"infoType !=null and infoType != ''\">and info_type = #{infoType}</if>"
            + " <if test=\"infoText !=null and infoText != ''\">and info_text = #{infoText}</if>"
            + " <if test=\"recipientId !=null and recipientId != ''\">and recipient_id = #{recipientId}</if>"
            + " <if test=\"readFlag !=null and readFlag != ''\">and read_flag = #{readFlag}</if>"
            + " <if test=\"senderId !=null and senderId != ''\">and sender_id = #{senderId}</if>"
            + " <if test=\"queryParam !=null and queryParam != ''\">and "
            + " info_text like CONCAT('%',#{queryParam},'%') "
            + " </if>"
            + " and recipient_id = #{userId} "
            + " and corp_id = #{corpId} "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<BNotice> queryBNotices(BNotice bNotice);

    /**
    * 插入 bNotice
    *
    */
    @Insert("<script>insert into b_notice(business_id,info_type,info_text,create_date,update_date,del_flag,recipient_id,read_flag,flag,update_by,create_by,sender_id,corp_id) values\n" +
            " <foreach collection=\"list\" item=\"item\"  separator=\",\">\n" +
            "  (#{item.businessId},#{item.infoType},#{item.infoText},#{item.createDate},#{item.updateDate},#{item.delFlag}," +
            " #{item.recipientId},#{item.readFlag},#{item.flag},#{item.updateBy},#{item.createBy},#{item.senderId},#{item.corpId})\n" +
            " </foreach>\n" +
            "</script>")
    int insertBach(List<BNotice> list);

    @Update({"<script>",
            "update b_notice",
            "  <set>",
            "    <if test=\"bNotice.updateBy !=null and bNotice.updateBy !=''\">update_by=#{bNotice.updateBy}, </if> ",
            "    <if test=\"bNotice.updateDate !=null \">update_date=#{bNotice.updateDate}, </if> ",
            "    <if test=\"bNotice.delFlag !=null and bNotice.delFlag !=''\">del_flag=#{bNotice.delFlag}, </if> ",
            "    <if test=\"bNotice.flag !=null and bNotice.flag !=''\">flag=#{bNotice.flag}, </if> ",
            "    <if test=\"bNotice.readFlag !=null and bNotice.readFlag !=''\">read_flag=#{bNotice.readFlag}, </if> ",

//            "    <if test='updateBy != null'>update_by=#{updateBy},</if>",
//            "    <if test='updateDate != null'>update_date=#{updateDate},</if>",
//            "    <if test='delFlag != null'>del_flag=#{delFlag},</if>",
//            "    <if test='flag != null'>flag=#{flag},</if>",
//            "    <if test='flag != null'>flag=#{flag},</if>",
//            "   course_id=#{courseId} ",
            "  </set>",
            "where recipient_id=#{readDTO.userId} " ,
            "<if test= \" readDTO.idList != null and readDTO.idList.size()>0 \">and business_id in ",
            "  <foreach item='item' index='index' collection='readDTO.idList' open='(' separator=',' close=')'> #{item} </foreach> ",
            "</if> ",
            "</script>"})
    int setRead(@Param("readDTO") ReadDTO readDTO,@Param("bNotice")BNotice bNotice);
}

