package org.rcisoft.business.breleasevalue.service;

import org.rcisoft.business.bbanner.dto.FindBannerPaginDTO;
import org.rcisoft.business.bbanner.entity.BBanner;
import org.rcisoft.business.breleasevalue.dto.*;
import org.rcisoft.business.breleasevalue.entity.BReleaseValue;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.sys.user.bean.CurUser;

import java.util.List;
import java.util.Map;

/**
 * Created by  on 2019-11-13 13:28:38.
 */
public interface BReleaseValueService {
    /**
     * 添加、编辑发布积分组
     * @param bReleaseValueDto
     * @return
     */
    PersistModel save (BReleaseValueDto bReleaseValueDto);


    /**
     * 设置人员id
     * @param dto
     * @return
     */
    ReleaseValueResDto setReleaseValueResDtoIds(ReleaseValueResDto dto);

    /**
     * 分页查询发布积分组
     * @param pageUtil
     * @param dto
     * @return
     */
    List<BReleaseValue> queryByPagination(PageUtil pageUtil, ReleaseValueResDto dto);

    /**
     * 删除发布积分组
     * @param businessId
     * @param corpId
     * @return
     */
    PersistModel delete (String businessId ,String corpId);

    /**
     * 分页查询课程、培训积分设置页面
     * @param pageUtil
     * @param curUser
     * @param dto
     * @return
     */
    List<LessonValueDto> queryLessonValueByPagination(PageUtil pageUtil, CurUser curUser, LessonValueSettingQueryDto dto);

    /**
     * 编辑课程、培训积分
     * @param businessId
     * @param valueConsume
     * @param valueGain
     * @return
     */
    PersistModel updateLessonValue (String businessId, String valueConsume,String valueGain);

    /**
     * 分页查询用户积分统计页面
     * @param pageUtil
     * @param dto
     * @return
     */
    List<UserValueDto> queryUserValueByPagination(PageUtil pageUtil, UserValueResDto dto);

    Map<String,Object> queryPersonReleaseValue(CurUser curUser);
}
