package org.rcisoft.common.util.outClient;

import lombok.extern.slf4j.Slf4j;
import org.rcisoft.common.util.feignClient.FileFeignClient;
import org.rcisoft.common.util.feignClient.MicroappFeignClient;
import org.rcisoft.common.util.feignDto.HaveJurisdictionReqDTO;
import org.rcisoft.common.util.feignDto.MTOssRspDTO;
import org.rcisoft.core.result.Ret;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.Valid;
import java.util.List;

/**
 * 消息通知接口调用
 * @author David
 */
@Slf4j
@Component
public class MTMicroappApiRequestClient {

    public static String zxClientType = "app";

    public static Long zxAccountId = (long)1;

    @Value("${appId.noticeAppId}")
    private String appId;

    @Autowired
    private MicroappFeignClient microappFeignClient;


    public Ret<List<String>> haveJurisdictionUserFast(HaveJurisdictionReqDTO haveJurisdictionReqDTO) {
        haveJurisdictionReqDTO.setAppId(appId);
        log.debug("-------------调用通知权限验证接口传参haveJurisdictionReqDTO------>>"+haveJurisdictionReqDTO);
        Ret<List<String>> ret = microappFeignClient.haveJurisdictionUserFast(haveJurisdictionReqDTO,zxClientType,zxAccountId);
        return ret;
    }

}
