package org.rcisoft.core.result;

import lombok.Data;

/**
 * 响应码枚举，参考HTTP状态码的语义
 */

public enum ResultCode {
    SUCCESS(200),//成功
    FAIL(400),//失败
    UNAUTHORIZED(401),//未认证（签名错误）
    NOT_FOUND(404),//接口不存在
    ERROR(500),//服务器内部错误
    SERVICE_ERROR(999);//自定义异常


    private Integer code;

    public Integer getCode() {
        return code;
    }

    ResultCode(int code) {
        this.code = code;
    }
}
