package org.rcisoft.core.task;

import lombok.extern.slf4j.Slf4j;
import org.rcisoft.common.component.Global;
import org.rcisoft.core.util.DeleteFileUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

@Component
@ConditionalOnProperty(
        prefix = "deleteFileJob",
        name = {"openTask"},
        havingValue = "true"
)
@Slf4j
public class DeleteFileTask {

    @Value("${deleteFileJob.delFlag:0}")
    private String delFlag;

    @Autowired
    private Global global;

    @Scheduled(cron = "${deleteFileJob.taskInterval:0 0 2 * * ?}")
    @Transactional(propagation = Propagation.REQUIRED, readOnly = false)
    public void work() throws Exception {
        if ("0".equals(delFlag)){
            //删除mp3 mp4
            String filePath = global.getBASE_UPLOAD_SERVER_LOCATION() + global.getCOURSE_LOCATION();
            DeleteFileUtil.delMedia(filePath);
        }
        if ("1".equals(delFlag)){
            //删除所有文件
            String filePath = global.getBASE_UPLOAD_SERVER_LOCATION() + global.getCOURSE_LOCATION();
            DeleteFileUtil.delFolder(filePath);

        }
    }

}
