package org.rcisoft.core.util;

import lombok.extern.slf4j.Slf4j;
import org.springframework.web.multipart.MultipartFile;

import java.io.FileInputStream;
@Slf4j
public class CheckFileHeaderUtil {
    public static void main(String[] args)  {
        String filePath = "D:\\recorded\\Python\\1.68.mp4";
        System.out.println(toCheck(filePath));
    }

    public static String bytesToHexString(byte[] src) {
        StringBuilder stringBuilder = new StringBuilder();
        if (src == null || src.length <= 0)
            return null;
        for (int i = 0; i < src.length; i++) {
            int v = src[i] & 0xFF;
            String hv = Integer.toHexString(v);
            if (hv.length() < 2)
                stringBuilder.append(0);
            stringBuilder.append(hv);
        }
        return stringBuilder.toString();
    }

    /**
     * 通过本地地址去判断文件类型
     * @param url
     * @return
     */
    public static boolean toCheck(String url){
        String result = "";
        try{
            FileInputStream is = new FileInputStream(url);
            byte[] b = new byte[30];
            is.read(b, 0, b.length);
            result = checkType(bytesToHexString(b).toUpperCase());
            is.close();
        }catch (Exception e){
            log.error(e.getMessage());
        }
        if(result.toUpperCase().contains(url.substring(url.lastIndexOf(".")+1).toUpperCase())){
            return true;
        }else {
            return false;
        }
    } /**
     * 通过文件去判断文件类型
     * @param file
     * @return
     */
    public static boolean toCheckFile(MultipartFile file){
        String result = "";
        String url = file.getOriginalFilename();
        try{
            FileInputStream is = (FileInputStream)file.getInputStream();
            byte[] b = new byte[30];
            is.read(b, 0, b.length);
            result = checkType(bytesToHexString(b).toUpperCase());
            is.close();
        }catch (Exception e){
            log.error(e.getMessage());
        }
        if(result.toUpperCase().contains(url.substring(url.lastIndexOf(".")+1).toUpperCase())){
            return true;
        }else {
            return false;
        }
    }

    public static String checkType(String type) {

        if(type.contains("504B030414000600080000002100DFCC") || type.contains("504B0304140006000800000021002A4"))
            return "pptx";

        if(type.contains("504B0304140006000800000021004AB") || type.contains("504B030414000600080000002100DFA")||
                type.contains("504B0304140008080800D393944F"))
            return "docx";

        if(type.contains("D0CF11E0A1B11AE10000") ||
                type.substring(0,10).contains("0D444F43") || type.substring(0,12).contains("1234567890FF") ||
                type.substring(0,16).contains("31BE000000AB0000") || type.substring(0,8).contains("7FFE340A"))
            return "doc、ppt";

//        if(type.contains("D0CF11E0A1B11AE1000000000000000000000000000000003E000300FEFF090006000000000000000000000003"))
//           return "ppt";

        if(type.contains("255044462D312E35"))
            return "pdf";

        if(type.substring(0,10).contains("FFD8FFE"))
            return "jpg";

        if(type.contains("89504E470D0A1A0A"))
            return "png";

        if(type.substring(0,10).contains("000000"))
           return "mp4";

        if(type.contains("4944330300000"))
            return "mp3";

        if(type.contains("E783A6E783A6E783") || type.contains("E5BE88E5BFABE6B395E5"))
            return "txt";

        if(type.contains("504B030414000000080"))
             return "zip";

         return "other";
    }
}